[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.GetInterfaceTable

Return a pointer to the table of implemented interfaces for a class

## Declaration

Source position: objpash.inc line 235

`public class function TObject.GetInterfaceTable: pinterfacetable;`

## Description

GetInterfaceTable returns a pointer to the internal table of implemented interfaces for a class. The result will always point to a valid address, if the class implements no interfaces the EntryCount field of the interface table will be zero.

## See also

TObject.GetInterfaceByStr |  | Return an interface based on its GUID
TObject.GetInterfaceEntry |  | Return the interface table entry by GUID

Documentation generated on: Feb 26 2014